Skip to Content.
Sympa Menu

sm-commit - [SM-Commit] GIT changes to master grimoire by Florian Franzmann (a32e7507a3d4ce9e7e8caa5b92bc38c549281ac0)

sm-commit AT lists.ibiblio.org

Subject: Source Mage code commit list

List archive

Chronological Thread  
  • From: Florian Franzmann <scm AT mail.sourcemage.org>
  • To: sm-commit AT lists.ibiblio.org
  • Subject: [SM-Commit] GIT changes to master grimoire by Florian Franzmann (a32e7507a3d4ce9e7e8caa5b92bc38c549281ac0)
  • Date: Wed, 5 Jul 2006 18:08:21 -0500

GIT changes to master grimoire by Florian Franzmann
<siflfran AT hawo.stw.uni-erlangen.de>:

wm-addons/wdm/BUILD | 1
wm-addons/wdm/DETAILS | 7 ++-
wm-addons/wdm/FINAL | 12 ------
wm-addons/wdm/HISTORY | 11 +++++
wm-addons/wdm/INSTALL | 11 +++--
wm-addons/wdm/PRE_BUILD | 4 ++
wm-addons/wdm/update_wdm_wm_list | 70
+++++++++++++++++++++++++++++++++++
wm-addons/wdm/wdm-Xclients.in.diff | 18 +++++++++
wm-addons/wdm/wdm-wdm-config.in.diff | 41 ++++++++++++++++++++
9 files changed, 157 insertions(+), 18 deletions(-)

New commits:
commit a32e7507a3d4ce9e7e8caa5b92bc38c549281ac0
Author: Florian Franzmann <siflfran AT hawo.stw.uni-erlangen.de>
Commit: Florian Franzmann <siflfran AT hawo.stw.uni-erlangen.de>

automated wdm's window manager generation

diff --git a/wm-addons/wdm/BUILD b/wm-addons/wdm/BUILD
index 08fd02f..6ca335d 100755
--- a/wm-addons/wdm/BUILD
+++ b/wm-addons/wdm/BUILD
@@ -3,5 +3,6 @@
--with-wdmdir=/etc/wdm \
--localstatedir=/var \
--with-gfx-incs=/usr/include/WINGs \
+ --with-Logo=smgl_logo.xpm \
${OPTS} &&
make
diff --git a/wm-addons/wdm/DETAILS b/wm-addons/wdm/DETAILS
index 8b3a21c..9c2b60a 100755
--- a/wm-addons/wdm/DETAILS
+++ b/wm-addons/wdm/DETAILS
@@ -8,11 +8,14 @@ SOURCE_DIRECTORY=$BUILD_DIRECTORY/$SPELL
WEB_SITE=http://voins.program.ru/wdm/
LICENSE[0]=GPL
ENTERED=20020820
- UPDATED=20040409
+ PATCHLEVEL=1
MAINTAINER=hnaz AT we-are-root.org
KEYWORDS="wm-addons"
SHORT="WDM is a modified xdm package"

cat << EOF
-WDM is a modification of the X11 XDM package for graphically handling
authentication and system login. Most of xdm has been preserved with the
login interface based on a WINGs implementation using Tom Rothamel's
"external greet" interface.
+WDM is a modification of the X11 XDM package for graphically handling
+authentication and system login. Most of xdm has been preserved with the
+login interface based on a WINGs implementation using Tom Rothamel's
+"external greet" interface.
EOF
diff --git a/wm-addons/wdm/FINAL b/wm-addons/wdm/FINAL
index 308f664..b059c10 100755
--- a/wm-addons/wdm/FINAL
+++ b/wm-addons/wdm/FINAL
@@ -1,11 +1 @@
-cat << EOF
-
-Please examine (and modify if necessary) the Xsession, Xclients, and
-wdm-config files in the wdm config directory (by default: /uetc/wdm). Also,
-NOTE that the Xsession and Xclients (or ~./Xclients) files MUST be marked
-executable. These files are the shell files which actually create the user's
-environment and start the window manager. In addition, there can be a
-~/.xsession or a ~/.Xclients file for each user in which case these files are
-executed (and MUST be marked executable).
-
-EOF
+update_wdm_wm_list
diff --git a/wm-addons/wdm/HISTORY b/wm-addons/wdm/HISTORY
index 99114f9..fccf500 100644
--- a/wm-addons/wdm/HISTORY
+++ b/wm-addons/wdm/HISTORY
@@ -1,3 +1,14 @@
+2006-07-06 Florian Franzmann <siflfran AT hawo.stw.uni-erlangen.de>
+ * DETAILS: remove UPDATED, bumped PATCHLEVEL, reformatted
+ text
+ * BUILD, INSTALL: set logo as parameter to configure instead of
+ sediting the configuration
+ * FINAL: removed pointless message, added invocation of
+ update_wdm_wm_list
+ * update_wdm_wm_list, INSTALL, wdm-wdm-config.in.diff,
+ wdm-Xclients.in.diff, PRE_BUILD:
+ automated generation of wdm's window manager menu
+
2006-03-12 Karsten Behrmann <BearPerson AT sourcemage.org>
* DETAILS: (automated) Add KEYWORDS

diff --git a/wm-addons/wdm/INSTALL b/wm-addons/wdm/INSTALL
index f029aec..afe79b0 100755
--- a/wm-addons/wdm/INSTALL
+++ b/wm-addons/wdm/INSTALL
@@ -1,5 +1,6 @@
-default_install &&
-echo "DisplayManager*wdmLogo: \
- /usr/share/pixmaps/wdm/smgl_logo.xpm" \
- >> /etc/wdm/wdm-config &&
-cp $SCRIPT_DIRECTORY/smgl_logo.xpm /usr/share/pixmaps/wdm/
\ No newline at end of file
+default_install &&
+local INSTALL="install -o root -g root"
+$INSTALL -m 644 $SCRIPT_DIRECTORY/smgl_logo.xpm \
+ $INSTALL_ROOT/usr/share/pixmaps/wdm/ &&
+$INSTALL -m 755 $SCRIPT_DIRECTORY/update_wdm_wm_list \
+ $INSTALL_ROOT/usr/bin/
diff --git a/wm-addons/wdm/PRE_BUILD b/wm-addons/wdm/PRE_BUILD
new file mode 100644
index 0000000..1532149
--- /dev/null
+++ b/wm-addons/wdm/PRE_BUILD
@@ -0,0 +1,4 @@
+default_pre_build
+cd ${SOURCE_DIRECTORY} &&
+patch -p1 < ${SCRIPT_DIRECTORY}/wdm-Xclients.in.diff
+patch -p1 < ${SCRIPT_DIRECTORY}/wdm-wdm-config.in.diff
diff --git a/wm-addons/wdm/update_wdm_wm_list
b/wm-addons/wdm/update_wdm_wm_list
new file mode 100644
index 0000000..2d4fdf6
--- /dev/null
+++ b/wm-addons/wdm/update_wdm_wm_list
@@ -0,0 +1,70 @@
+#!/bin/sh
+
+# update_wdm_wm_list: generates list of window managers for wdm
+# Copyright (C) 2006 Florian Franzmann
+#
+# This program is free software; you can redistribute it and/or modify
+# it under the terms of the GNU General Public License as published by
+# the Free Software Foundation; either version 2 of the License, or
+# (at your option) any later version.
+#
+# This program is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
+# GNU General Public License for more details.
+#
+# You should have received a copy of the GNU General Public License along
+# with this program; if not, write to the Free Software Foundation, Inc.,
+# 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.
+
+. /etc/sorcery/config
+
+DESKTOP_DIR="${INSTALL_ROOT}/usr/share/xsessions"
+WDM_CONFIG="${INSTALL_ROOT}/etc/wdm/wdm-config"
+
+function check_dir () {
+ if [ ! -d "$1" ]; then
+ message -n "$PROBLEM_COLOR"
+ message -n "$1 is not a directory, will not continue."
+ message "$DEFAULT_COLOR"
+ exit 1
+ fi
+}
+
+function check_file () {
+ if [ ! -w "$1" ] || [ ! -r "$1" ]; then
+ message -n "$PROBLEM_COLOR"
+ message -n "I do not have read/write permissions on $1, "
+ message -n "will not continue."
+ message "$DEFAULT_COLOR"
+ exit 1
+ fi
+}
+
+check_dir "$DESKTOP_DIR"
+check_file "$WDM_CONFIG"
+
+message -n "$MESSAGE_COLOR"
+message -n "creating wdm's list of windowmanagers:"
+message "$DEFAULT_COLOR"
+
+for desktop in $DESKTOP_DIR/*.desktop; do
+ TRYEXEC="$(grep '^TryExec' $desktop | cut -f2 -d'=' | sed -e 's/^
*//')"
+ EXEC="$(grep '^Exec' $desktop | cut -f2 -d'=' | sed -e 's/^ *//')"
+ if [ -x $(which $TRYEXEC) ]; then
+ message -n "$MESSAGE_COLOR"
+ message -n "\tincluding $FILE_COLOR$EXEC"
+ message "$DEFAULT_COLOR"
+ if [ -z "$WMLIST" ]; then
+ WMLIST="$EXEC"
+ else
+ WMLIST="$WMLIST:$EXEC"
+ fi
+ fi
+done
+message -n "$MESSAGE_COLOR"
+message -n "done."
+message "$DEFAULT_COLOR"
+
+sedit "s/^ *DisplayManager\*wdmWm:.*/DisplayManager*wdmWm:\
+ $WMLIST/" $WDM_CONFIG
diff --git a/wm-addons/wdm/wdm-Xclients.in.diff
b/wm-addons/wdm/wdm-Xclients.in.diff
new file mode 100644
index 0000000..a9980c9
--- /dev/null
+++ b/wm-addons/wdm/wdm-Xclients.in.diff
@@ -0,0 +1,18 @@
+diff -Naur wdm-1.28.orig/configs/Xclients.in wdm-1.28/configs/Xclients.in
+--- wdm-1.28.orig/configs/Xclients.in 2006-07-05 20:01:07.000000000 +0200
++++ wdm-1.28/configs/Xclients.in 2006-07-05 20:11:53.000000000 +0200
+@@ -66,6 +66,14 @@
+ exec $WINMGR_PATH >>$HOME/.xwm.msgs 2>&1
+ fi
+ ;;
++
++ start*)
++ START_PATH="/usr/bin/$WMSTYLE"
++ if [ -x "$START_PATH" ]; then
++ echo "Starting $WMSTYLE" > $HOME/.xwm.msgs
++ exec $START_PATH >> $HOME/.xwm.msgs 2>&1
++ fi
++ ;;
+
+ wmaker*|WindowMaker*)
+ # startup WindowMaker
diff --git a/wm-addons/wdm/wdm-wdm-config.in.diff
b/wm-addons/wdm/wdm-wdm-config.in.diff
new file mode 100644
index 0000000..611ac44
--- /dev/null
+++ b/wm-addons/wdm/wdm-wdm-config.in.diff
@@ -0,0 +1,41 @@
+diff -Naur wdm-1.28.orig/configs/TakeConsole wdm-1.28/configs/TakeConsole
+--- wdm-1.28.orig/configs/TakeConsole 2006-07-05 20:01:07.000000000 +0200
++++ wdm-1.28/configs/TakeConsole 2006-07-06 00:40:53.000000000 +0200
+@@ -5,3 +5,5 @@
+ #
+ chmod 622 /dev/console
+ chown root /dev/console
++
++/usr/bin/update_wdm_wm_list
+diff -Naur wdm-1.28.orig/configs/wdm-config.in wdm-1.28/configs/wdm-config.in
+--- wdm-1.28.orig/configs/wdm-config.in 2006-07-05 20:01:07.000000000
+0200
++++ wdm-1.28/configs/wdm-config.in 2006-07-05 20:50:11.000000000 +0200
+@@ -25,7 +25,7 @@
+ ! display screen background--if not set or set to none, then the
+ ! background is not set by wdm.
+ ! DisplayManager*wdmBg: none
+-DisplayManager*wdmBg: solid:RoyalBlue
++DisplayManager*wdmBg: solid:black
+ ! DisplayManager*wdmBg: dgradient:RoyalBlue,FireBrick,Black
+ ! DisplayManager*wdmBg: hgradient:RoyalBlue,FireBrick,Black
+ ! DisplayManager*wdmBg: vgradient:RoyalBlue,FireBrick,Black
+@@ -53,6 +53,8 @@
+ ! list of window managers which can be started
+ ! or 'None' if you want only NoChange to appear
+ ! e.g.: DisplayManager*wdmWm: None
++! Beware: Do not edit the list of window managers by hand as it will be
++! replaced on every restart of wdm!
+ DisplayManager*wdmWm: @WMLIST@
+ !
+ ! commands for reboot and halt
+diff -Naur wdm-1.28.orig/configs/Xsetup_0.in wdm-1.28/configs/Xsetup_0.in
+--- wdm-1.28.orig/configs/Xsetup_0.in 2006-07-05 20:01:07.000000000 +0200
++++ wdm-1.28/configs/Xsetup_0.in 2006-07-06 00:56:42.000000000 +0200
+@@ -1,6 +1,7 @@
+ #!@SYSTEM_SHELL@
+ # @configure_input@
+ # $XConsortium: Xsetup_0,v 1.3 93/09/28 14:30:31 gildea Exp $
++/usr/bin/update_wdm_wm_list
+ @XCONSOLE@ -geometry 480x130-0-0 -daemon -notify -verbose -fn fixed
-exitOnFail
+ # /usr/X11R6/bin/xbanner
+ # if xbanner is used, change Xsession to do freetemp



  • [SM-Commit] GIT changes to master grimoire by Florian Franzmann (a32e7507a3d4ce9e7e8caa5b92bc38c549281ac0), Florian Franzmann, 07/05/2006

Archive powered by MHonArc 2.6.24.

Top of Page